/* tabs.c */
#include <stdio.h>
#define TABSIZE 8

int findstop(int *);

int main()
{
	int c;
	int posn = 0;
	int inc;

	while ( (c = getchar()) != EOF )
		switch ( c )
		{
		case '\t':
			inc = findstop ( &posn );
			for ( ; inc > 0; inc-- )
				putchar(' ');
			break;
		case '\n':
			putchar(c);
			posn = 0;
			break;
		default:
			putchar(c);
			posn++;
			break;
		}
	return 0;
}

int findstop(int* col)
{
	int retval;
	retval = (TABSIZE - (*col % TABSIZE));
	*col += retval;

	return retval;
}
